                     Computer Science 825
                           Quiz 1           Name _______________________

Terminology:  the very highest layer is the APPLICATION LAYER = Layer N
              the very lowest  layer is the PHYSICAL LAYER    = Layer 1

1. For each of the following application identify the most appropriate
   form of service:

   ___ a. Remote login      1. unreliable connectionless

                            2. reliable connection oriented
   ___ b. Audio & Video
          teleconferencing  3. reliable connectionless.

   ___ c. Electronic mail   4. unreliable connection
                               oriented.

2. a. Which of the seven layers of the ISO-OSI model is the LOWEST
      layer that is typically found in each host computer but not
      found in an IMP.



   b. Which of the seven layers of the ISO-OSI model was
      designated responsible for data encryption.



   c. Precisely why did military types find the designation in (b.)
      not very satisfactory.




3. Which of the following is not a disadvantage of incorporating
   network protocols directly into an application (as opposed to having
   a general networking subsystem in the OS).

   a. It makes it harder to migrate   b. It makes the performance of
      to new hardware technologies       the application worse.

   c. It takes longer to write        d. The applications tend to
      the applications.                  be less reliable.

4. We defined "protocol" to be a set of rules defining three
   characteristics of the messages transmitted through the network.
   Name these characteristics. Hint: they all start with "S".

   a.

   b.

   c.

5. The motivation for organizing network subsystems into protocol
   stacks was primarily to:

   a. Improve the message             b. Improve the logical organization
      throughput.                        of the software and make it
                                         easier to maintain and enhance.

   c. Both a. and b. equally.         d. Neither a. or b. was a factor.
  ----------------------- OVER to BACK------------------------------


6. For which two layers does the TCP / IP network architecture specify
   protocols.

   a. Data Link and Network      b. Application and Session

   c. Network and Physical       d. None of the above


7. For two separate implementations of a specific network
   architecture to interoperate correctly it is necessary that:

   a. Intra-level peer protocols  b. Inter-level interface
      be compatible                  definitions be comptatible

   c. Both a and b.               d. Neither a or b.

8. Protocol headers used by a layer N are handled by layer K (K < N)
   as follows:

   a. The are removed before  b. They are treated as user data.
      the packet arrives at
      Layer K

   c. They are deleted by layer K.

